summaryrefslogtreecommitdiffstats
path: root/misc
diff options
context:
space:
mode:
author Robby Workman <rworkman@slackbuilds.org>2014-06-17 08:14:31 +0700
committer Erik Hanson <erik@slackbuilds.org>2014-06-18 16:19:03 -0500
commit9dbbf27695aaab32c46785cbf33a1d7f483b118b (patch)
treed891b2a11950e71e5f5b6c4e67db911fe6036ecc /misc
parent9545833029eadca77119258125206fc0b857b3a3 (diff)
downloadslackbuilds-9dbbf27695aaab32c46785cbf33a1d7f483b118b.tar.gz
slackbuilds-9dbbf27695aaab32c46785cbf33a1d7f483b118b.tar.xz
misc/texscythe: Updated for version git_0a7b692f.
Signed-off-by: Willy Sudiarto Raharjo <willysr@slackbuilds.org>
Diffstat (limited to 'misc')
-rw-r--r--misc/texscythe/contrib/make-slackware-plists.sh24
-rw-r--r--misc/texscythe/texscythe.SlackBuild10
-rw-r--r--misc/texscythe/texscythe.info6
3 files changed, 27 insertions, 13 deletions
diff --git a/misc/texscythe/contrib/make-slackware-plists.sh b/misc/texscythe/contrib/make-slackware-plists.sh
index edfe84344d..f250380661 100644
--- a/misc/texscythe/contrib/make-slackware-plists.sh
+++ b/misc/texscythe/contrib/make-slackware-plists.sh
@@ -1,20 +1,26 @@
#!/bin/sh
-# This only requires the big texlive-$VERSION-extra.tar.xz and
+# This only requires the big texlive-$VERSION-texmf.tar.xz and
# texlive-$VERSION-extra.tar.xz tarballs to be present in $CWD
-# If texlive.tlpdb is not present, it will have to be obtained from
+# If texlive.tlpdb is not present, it will have to be obtained from
# subversion (based on the # release date), e.g.
-# svn co -r {20130530} svn://tug.org/texlive/trunk/Master/tlpkg
+# svn co -r {20140525} svn://tug.org/texlive/trunk/Master/tlpkg
# You can then copy tlpkg/texlive.tlpdb to $CWD
set -eu
-VERSION=20130530
+VERSION=20140525
CWD=$(pwd)
TMF="$CWD/texlive-$VERSION-texmf";
+if [ ! -e $CWD/texlive.tlpdb ] ; then
+ printf "\nYou need texlive.tlpdb in $CWD - get it here:\n"
+ printf "http://ftp.ctex.org/mirrors/CTAN/systems/texlive/tlnet/tlpkg/texlive.tlpdb\n\n"
+ exit 1
+fi
+
rm -rf tmplists ; mkdir tmplists
# Initialize the texscyther db
@@ -22,6 +28,7 @@ texscyther --initdb
# Build a packaging list for all of the texmf stuff, but exclude docs and src
texscyther \
+ --tlpdb $CWD/texlive.tlpdb \
--nodirs \
--subset \
--include scheme-full \
@@ -30,6 +37,7 @@ texscyther \
# Build a packaging list for the docs (bibarts is for DOS)
texscyther \
+ --tlpdb $CWD/texlive.tlpdb \
--nodirs \
--subset \
--include scheme-full:doc \
@@ -38,9 +46,11 @@ texscyther \
# Build a packaging list for the texmf sources
texscyther \
+ --tlpdb $CWD/texlive.tlpdb \
--nodirs \
--subset \
--include scheme-full:src \
+ --exclude bibarts \
--output-plist tmplists/src
# These next bits could probably be done using the --regex option passed to
@@ -61,7 +71,8 @@ cat tmplists/docs | \
> docs-packlist
# No filtering (for now) of src stuff
-cat $CWD/tmplists/src > $CWD/src-packlist
+cat $CWD/tmplists/src | \
+ > $CWD/src-packlist
printf "Generating tarballs - please be patient...\n"
@@ -94,3 +105,6 @@ tar cf \
printf "Compressing tarballs - please be MOAR patient...\n"
xz -9 tarballs/*.tar
+# Cleanup the leftovers
+rm -rf tmplists $TMF {full,docs,src}-packlist *.db
+
diff --git a/misc/texscythe/texscythe.SlackBuild b/misc/texscythe/texscythe.SlackBuild
index db9b361014..da435a973e 100644
--- a/misc/texscythe/texscythe.SlackBuild
+++ b/misc/texscythe/texscythe.SlackBuild
@@ -2,7 +2,7 @@
# Slackware build script for texscythe
-# Copyright 2013 Robby Workman, Northport, Alabama, USA
+# Copyright 2013,2014 Robby Workman, Northport, Alabama, USA
# All rights reserved.
#
# Redistribution and use of this script, with or without modification, is
@@ -23,7 +23,7 @@
# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
PRGNAM=texscythe
-VERSION=${VERSION:-git_618d11db}
+VERSION=${VERSION:-git_0a7b692f}
BUILD=${BUILD:-1}
TAG=${TAG:-_SBo}
@@ -64,8 +64,8 @@ tar xvf $CWD/$PRGNAM-$VERSION.tar.xz
cd $PRGNAM-$VERSION
chown -R root:root .
find -L . \
- \( -perm 777 -o -perm 775 -o -perm 750 -o -perm 711 -o -perm 555 -o -perm 511 \) \
- -exec chmod 755 {} \; -o \
+ \( -perm 777 -o -perm 775 -o -perm 750 -o -perm 711 -o -perm 555 \
+ -o -perm 511 \) -exec chmod 755 {} \; -o \
\( -perm 666 -o -perm 664 -o -perm 640 -o -perm 600 -o -perm 444 \
-o -perm 440 -o -perm 400 \) -exec chmod 644 {} \;
@@ -76,7 +76,7 @@ find $PKG -print0 | xargs -0 file | grep -e "executable" -e "shared object" | gr
mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
cp -a README.md $PKG/usr/doc/$PRGNAM-$VERSION
-cp -r $CWD/contrib $PKG/usr/doc/$PRGNAM-$VERSION
+#cp -r $CWD/contrib $PKG/usr/doc/$PRGNAM-$VERSION
cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
mkdir -p $PKG/install
diff --git a/misc/texscythe/texscythe.info b/misc/texscythe/texscythe.info
index e7778b150b..1427f428fe 100644
--- a/misc/texscythe/texscythe.info
+++ b/misc/texscythe/texscythe.info
@@ -1,8 +1,8 @@
PRGNAM="texscythe"
-VERSION="git_618d11db"
+VERSION="git_0a7b692f"
HOMEPAGE="https://github.com/vext01/texscythe"
-DOWNLOAD="http://harrier.slackbuilds.org/misc/texscythe-git_618d11db.tar.xz"
-MD5SUM="517b0a8f14ba56cfa64c646683d356ab"
+DOWNLOAD="http://harrier.slackbuilds.org/misc/texscythe-git_0a7b692f.tar.xz"
+MD5SUM="efb7a2568d993c519486efca067838e4"
DOWNLOAD_x86_64=""
MD5SUM_x86_64=""
REQUIRES="pysetuptools SQLAlchemy"